DRM_VMA_NODE_IS_ALLO(9)

NAME
drm_vma_node_is_allowed - Check whether an open-file is granted access

SYNOPSIS

bool drm_vma_node_is_allowed(struct drm_vma_offset_node * node, struct file * filp);

ARGUMENTS

node
    Node to check

filp
    Open-file to check for

DESCRIPTION

Search the list in node whether filp is currently on the list of allowed open-files (see drm_vma_node_allow).

This is locked against concurrent access internally.

RETURNS

true iff filp is on the list

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT